package com.heyu.api.data.entity.translate;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*翻译医院
* @author quyixiao
* @since 2025-03-04
*/

@Data
@TableName("translate_language")
public class TranslateLanguageEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.translate.TranslateLanguageEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                   // ID
    public final static String is_delete = CLASS_NAME + "is_delete";                      // 
    public final static String create_time = CLASS_NAME + "create_time";                  // 
    public final static String modify_time = CLASS_NAME + "modify_time";                  // 
    public final static String is_listen = CLASS_NAME + "is_listen";                      // 是否支持听写
    public final static String code_ = CLASS_NAME + "code";                               // 代码，简码，翻译参数
    public final static String listen_code = CLASS_NAME + "listen_code";                  // 听写时的参数code
    public final static String listen_accent = CLASS_NAME + "listen_accent";              // 听写时的参数accent
    public final static String sound_code = CLASS_NAME + "sound_code";                    // 语音合成参数code
    public final static String sound_name = CLASS_NAME + "sound_name";                    // 语音合成时角色名称
    public final static String name_ = CLASS_NAME + "name";                               // 语言名称
    public final static String name_py_first = CLASS_NAME + "name_py_first";              // 拼音首字母
    public final static String order_by = CLASS_NAME + "order_by";                        // 排序字段
    public final static String controy_ = CLASS_NAME + "controy";                         // 使用地区国家
    public final static String remark_ = CLASS_NAME + "remark";                           // 备注说明
    public final static String is_sound = CLASS_NAME + "is_sound";                        // 是否支持合成
    public final static String is_translate = CLASS_NAME + "is_translate";                // 是否支持翻译
    public final static String aws_translate_code = CLASS_NAME + "aws_translate_code";    // aws翻译使用的code
    public final static String aws_listen_code = CLASS_NAME + "aws_listen_code";          // aws语音识别code
    //ID
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //
    private Integer isDelete;
    //
    private Date createTime;
    //
    private Date modifyTime;
    //是否支持听写
    private Integer isListen;
    //代码，简码，翻译参数
    private String code;
    //听写时的参数code
    private String listenCode;
    //听写时的参数accent
    private String listenAccent;
    //语音合成参数code
    private String soundCode;
    //语音合成时角色名称
    private String soundName;
    //语言名称
    private String name;
    //拼音首字母
    private String namePyFirst;
    //排序字段
    private Integer orderBy;
    //使用地区国家
    private String controy;
    //备注说明
    private String remark;
    //是否支持合成
    private Integer isSound;
    //是否支持翻译
    private Integer isTranslate;
    //aws翻译使用的code
    private String awsTranslateCode;
    //aws语音识别code
    private String awsListenCode;
    /**
     * ID 
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     * ID 
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     *  
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     *  
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     *  
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     *  
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     *  
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     *  
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 是否支持听写 
     * @return
     */
    public Integer getIsListen() {
        return isListen;
    }
    /**
     * 是否支持听写 
     * @param isListen
     */
    public void setIsListen(Integer isListen) {
        this.isListen = isListen;
    }

    /**
     * 代码，简码，翻译参数 
     * @return
     */
    public String getCode() {
        return code;
    }
    /**
     * 代码，简码，翻译参数 
     * @param code
     */
    public void setCode(String code) {
        this.code = code;
    }

    /**
     * 听写时的参数code 
     * @return
     */
    public String getListenCode() {
        return listenCode;
    }
    /**
     * 听写时的参数code 
     * @param listenCode
     */
    public void setListenCode(String listenCode) {
        this.listenCode = listenCode;
    }

    /**
     * 听写时的参数accent 
     * @return
     */
    public String getListenAccent() {
        return listenAccent;
    }
    /**
     * 听写时的参数accent 
     * @param listenAccent
     */
    public void setListenAccent(String listenAccent) {
        this.listenAccent = listenAccent;
    }

    /**
     * 语音合成参数code 
     * @return
     */
    public String getSoundCode() {
        return soundCode;
    }
    /**
     * 语音合成参数code 
     * @param soundCode
     */
    public void setSoundCode(String soundCode) {
        this.soundCode = soundCode;
    }

    /**
     * 语音合成时角色名称 
     * @return
     */
    public String getSoundName() {
        return soundName;
    }
    /**
     * 语音合成时角色名称 
     * @param soundName
     */
    public void setSoundName(String soundName) {
        this.soundName = soundName;
    }

    /**
     * 语言名称 
     * @return
     */
    public String getName() {
        return name;
    }
    /**
     * 语言名称 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 拼音首字母 
     * @return
     */
    public String getNamePyFirst() {
        return namePyFirst;
    }
    /**
     * 拼音首字母 
     * @param namePyFirst
     */
    public void setNamePyFirst(String namePyFirst) {
        this.namePyFirst = namePyFirst;
    }

    /**
     * 排序字段 
     * @return
     */
    public Integer getOrderBy() {
        return orderBy;
    }
    /**
     * 排序字段 
     * @param orderBy
     */
    public void setOrderBy(Integer orderBy) {
        this.orderBy = orderBy;
    }

    /**
     * 使用地区国家 
     * @return
     */
    public String getControy() {
        return controy;
    }
    /**
     * 使用地区国家 
     * @param controy
     */
    public void setControy(String controy) {
        this.controy = controy;
    }

    /**
     * 备注说明 
     * @return
     */
    public String getRemark() {
        return remark;
    }
    /**
     * 备注说明 
     * @param remark
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 是否支持合成 
     * @return
     */
    public Integer getIsSound() {
        return isSound;
    }
    /**
     * 是否支持合成 
     * @param isSound
     */
    public void setIsSound(Integer isSound) {
        this.isSound = isSound;
    }

    /**
     * 是否支持翻译 
     * @return
     */
    public Integer getIsTranslate() {
        return isTranslate;
    }
    /**
     * 是否支持翻译 
     * @param isTranslate
     */
    public void setIsTranslate(Integer isTranslate) {
        this.isTranslate = isTranslate;
    }

    /**
     * aws翻译使用的code 
     * @return
     */
    public String getAwsTranslateCode() {
        return awsTranslateCode;
    }
    /**
     * aws翻译使用的code 
     * @param awsTranslateCode
     */
    public void setAwsTranslateCode(String awsTranslateCode) {
        this.awsTranslateCode = awsTranslateCode;
    }

    /**
     * aws语音识别code 
     * @return
     */
    public String getAwsListenCode() {
        return awsListenCode;
    }
    /**
     * aws语音识别code 
     * @param awsListenCode
     */
    public void setAwsListenCode(String awsListenCode) {
        this.awsListenCode = awsListenCode;
    }

    @Override
    public String toString() {
        return "TranslateLanguageEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",isListen=" + isListen +
                ",code=" + code +
                ",listenCode=" + listenCode +
                ",listenAccent=" + listenAccent +
                ",soundCode=" + soundCode +
                ",soundName=" + soundName +
                ",name=" + name +
                ",namePyFirst=" + namePyFirst +
                ",orderBy=" + orderBy +
                ",controy=" + controy +
                ",remark=" + remark +
                ",isSound=" + isSound +
                ",isTranslate=" + isTranslate +
                ",awsTranslateCode=" + awsTranslateCode +
                ",awsListenCode=" + awsListenCode +
                "}";
    }
}